Web lists-archives.com

Re: [MPlayer-dev-eng] MPlayer 1.2.1 release




On Fri, 15 Jan 2016 23:40:33 +0000
Andy Furniss <adf.lists@xxxxxxxxx> wrote:

> Roberto Togni wrote:
> > Hi I plan to release 1.2.1 in a few days. 1.2.1 will be made from the
> > 1.2 branch, and will include FFmpeg 2.8.4
> >
> > In addition to what is already backported, I'd like to include also
> > these changes, even if they are not really bug fixes
> >
> > - r37545 compile with external FFmpeg without requiring x86/asm.h
> > This should make life easier for distributions
> >
> > - r37549 creation of docs without requiring FFmpeg Also useful for
> > distributions, already included in Debian
> >
> > - r37546 silence warning from FFmpeg about network initialization I'm
> > undecided about this, but should be harmless
> >
> > Opinions?
> >
> >
> > If you have anything else that you think is relevant for inclusion
> > in 1.2.1 please commit it, or replay this message.
> 
> Maybe you update ffmpeg anyway, but I recently tried building release
> with gcc 5.3.0 on a new lfs and got.
> 
> make -C ffmpeg libavcodec/libavcodec.a
> make[1]: Entering directory '/home/andy/Src2016/xc/MPlayer-1.2/ffmpeg'
> CC      libavcodec/libvpxenc.o
> libavcodec/libvpxenc.c:107:6: error: 'VP8E_UPD_ENTROPY' undeclared here 
> (not in a function)
>       [VP8E_UPD_ENTROPY]           = "VP8E_UPD_ENTROPY",
>        ^
> libavcodec/libvpxenc.c:107:6: error: array index in initializer not of 
> integer type
> libavcodec/libvpxenc.c:107:6: note: (near initialization for 'ctlidstr')
> libavcodec/libvpxenc.c:108:6: error: 'VP8E_UPD_REFERENCE' undeclared 
> here (not in a function)
>       [VP8E_UPD_REFERENCE]         = "VP8E_UPD_REFERENCE",
>        ^
> libavcodec/libvpxenc.c:108:6: error: array index in initializer not of 
> integer type
> libavcodec/libvpxenc.c:108:6: note: (near initialization for 'ctlidstr')
> libavcodec/libvpxenc.c:109:6: error: 'VP8E_USE_REFERENCE' undeclared 
> here (not in a function)
>       [VP8E_USE_REFERENCE]         = "VP8E_USE_REFERENCE",
>        ^
> libavcodec/libvpxenc.c:109:6: error: array index in initializer not of 
> integer type
> libavcodec/libvpxenc.c:109:6: note: (near initialization for 'ctlidstr')
> 
> svn/git mplayer/ffmpeg or ffmpeg 2.8.4 all build OK.
Yes, 1.2.1 will have FFmpeg 2.8.5

Ciao,
 Roberto
_______________________________________________
MPlayer-dev-eng mailing list
MPlayer-dev-eng@xxxxxxxxxxxx
https://lists.mplayerhq.hu/mailman/listinfo/mplayer-dev-eng